/* fastafile.h */

/*****************************************************************
        Copyright by Rockefeller University,
can not be reproduced or distributed without written permission of
the copyright holder.  Version 1.1 of April 2006.

Written by Alexandre Morozov (contact person: morozov@edsb.rockefeller.edu),
and Eric Siggia.

The program DNABEND implements an algorithm for computing elastic energies
for DNA molecules of arbitrary length and sequence. DNA can be constrained
to follow an arbitrary 3D curve, such as a left-handed superhelix found
in nucleosomal core particles.

The DNABEND method and its applications are described in the following
paper:

******************************************************************/

#ifndef _fastafile_h_
#define _fastafile_h_

#include "sequence.h"

//#define MAX_NUM_SEQUENCES 10000
#define MAX_NUM_SEQUENCES 50000
//#define MAX_NUM_SEQUENCES 500000

class FastaFile {
  Sequence *_sequences[MAX_NUM_SEQUENCES];
  int _numSequences;
public:
  FastaFile();
  void ReadFasta(char *filename);
  ~FastaFile();
  int Size();
  Sequence *operator[](int index);
  void Add(Sequence *);
};

#endif
