/* esolve.c */

#include "fastafile.h"
#include "sequence.h"
#include "equations.h"
#include "dna_parameters.h"
#include "bstable.h"
#include "xyzframe.h"
//#include "geometry.h"
//#include "vector.h"
//#include "matrix.h"
//#include <iostream>

// This main function is used to compute the matrix of derivatives of xyz positions of all
// bp frames wrt the WO prms. This generates an Lseq*Nprm table of derivatives to be used
// as constraints in esolve.

int main(int argc, char **argv) {
  // Compute & store a set of xyz frames corresponding to the wt set of WO parameters (ie pdb_seq):
  // Table of WO prms (read in from file or obtained thru solving Ax=b for an input seq): 
  BStable bst_wt("table.tmp");
  //bst_wt.WriteBStable("DNAwt.params");
  //gsl_matrix *m = bst_wt.Export();
  // Set of frames:
  Geom xyzframes_wt(bst_wt);
  //xyz_frames_wt.PDB("junk_wt.pdb");
  /*******/
  xyzframes_wt.Derivs();
  xyzframes_wt.WriteDerivs("derivs.dat");
  //gsl_matrix_free(m);
}

